> For the complete documentation index, see [llms.txt](https://docs.frends.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.frends.com/reference/frends-platform-api/platform-api-reference/tags.md).

# Tags

## GET /api/v1/tags

> Get Tags for many elements i.e. a Processes, ProcessTemplates etc.

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"GuidStringListDictionaryResponse":{"required":["Data"],"type":"object","properties":{"data":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"description":"Response data","nullable":true}},"additionalProperties":false}}},"paths":{"/api/v1/tags":{"get":{"tags":["Tags"],"summary":"Get Tags for many elements i.e. a Processes, ProcessTemplates etc.","parameters":[{"name":"elementIdentifiers","in":"query","description":"Element unique identifiers","schema":{"type":"array","items":{"type":"string","format":"uuid"}}}],"responses":{"200":{"description":"Returns a dictionary where the key is the element identifier and the value is a list of tags.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidStringListDictionaryResponse"}}}}}}}}}
```

## PUT /api/v1/tags

> Overwrite tags for a Frends element.

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"TagRequestModel":{"type":"object","properties":{"elementType":{"$ref":"#/components/schemas/TagElementType"},"tags":{"type":"array","items":{"type":"string"},"description":"List of tags"},"elementGuids":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of element unique identifiers"}},"additionalProperties":false},"TagElementType":{"enum":["Process","ProcessTemplate","PrivateApplication","ApiPolicy"],"type":"string"}}},"paths":{"/api/v1/tags":{"put":{"tags":["Tags"],"summary":"Overwrite tags for a Frends element.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagRequestModel"}}}},"responses":{"204":{"description":"Tags were successfully overwritten."},"400":{"description":"Tags cannot be empty when overwriting. If you want to delete all tags use the DELETE {elementGuid:guid} method."}}}}}}
```

## DELETE /api/v1/tags

> Delete tags from specified Frends elements.

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"TagRequestModel":{"type":"object","properties":{"elementType":{"$ref":"#/components/schemas/TagElementType"},"tags":{"type":"array","items":{"type":"string"},"description":"List of tags"},"elementGuids":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of element unique identifiers"}},"additionalProperties":false},"TagElementType":{"enum":["Process","ProcessTemplate","PrivateApplication","ApiPolicy"],"type":"string"}}},"paths":{"/api/v1/tags":{"delete":{"tags":["Tags"],"summary":"Delete tags from specified Frends elements.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagRequestModel"}}}},"responses":{"204":{"description":"Tags were successfully deleted."}}}}}}
```

## PATCH /api/v1/tags

> Add tags to a Frends element.

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"TagRequestModel":{"type":"object","properties":{"elementType":{"$ref":"#/components/schemas/TagElementType"},"tags":{"type":"array","items":{"type":"string"},"description":"List of tags"},"elementGuids":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of element unique identifiers"}},"additionalProperties":false},"TagElementType":{"enum":["Process","ProcessTemplate","PrivateApplication","ApiPolicy"],"type":"string"}}},"paths":{"/api/v1/tags":{"patch":{"tags":["Tags"],"summary":"Add tags to a Frends element.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagRequestModel"}}}},"responses":{"204":{"description":"Tags were successfully added."}}}}}}
```

## GET /api/v1/tags/{elementType}

> Get all Tags for an element type i.e. a Process, ProcessTemplate etc.

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"TagElementType":{"enum":["Process","ProcessTemplate","PrivateApplication","ApiPolicy"],"type":"string"},"GuidStringListDictionaryResponse":{"required":["Data"],"type":"object","properties":{"data":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"description":"Response data","nullable":true}},"additionalProperties":false}}},"paths":{"/api/v1/tags/{elementType}":{"get":{"tags":["Tags"],"summary":"Get all Tags for an element type i.e. a Process, ProcessTemplate etc.","parameters":[{"name":"elementType","in":"path","description":"Element type","required":true,"schema":{"$ref":"#/components/schemas/TagElementType"}}],"responses":{"200":{"description":"Returns a dictionary where the key is the element identifier and the value is a list of tags.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidStringListDictionaryResponse"}}}}}}}}}
```

## DELETE /api/v1/tags/{elementGuid}

> Delete all tags from a Frends element.

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}}},"paths":{"/api/v1/tags/{elementGuid}":{"delete":{"tags":["Tags"],"summary":"Delete all tags from a Frends element.","parameters":[{"name":"elementGuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"All tags were successfully deleted."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.frends.com/reference/frends-platform-api/platform-api-reference/tags.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
